ata_sg_init
Prev | Chapter 4. libata Library | Next

## Name

ata_sg_init — Associate command with scatter-gather table.

## Synopsis

`void ata_sg_init (` | struct ata_queued_cmd * | qc,
| struct scatterlist * | sg,
| unsigned int | n_elem`)`;

## Arguments

`qc`

  Command to be associated

`sg`

  Scatter-gather table.

`n_elem`

  Number of elements in s/g table.

## Description

Initialize the data-related elements of queued_cmd `qc` to point to a scatter-gather table `sg`, containing `n_elem` elements.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_sg_init_one | Home | ata_data_xfer